<div class="game-card" *ngIf="game">
  <div class="game-title" (click)="toggleCollapse(game.gameId)">
    <h2>Game: {{ game.gameId }}</h2>
    <div class="game-stats">
      <div class="game-status-detail">
        <div class="game-status">
          <span class="game-info" [class.playing]="game.gameStatus === 'started'" (click)="redirectToMap()">
            Status: {{ game.gameStatus }}
          </span>
          <span class="game-info" *ngIf="game.gameStatus === 'started'">
            Round: {{ game.currentRoundNumber }}/{{ game.maxRounds }}
          </span>
        </div>
        <div class="game-details">
          <span class="game-info" *ngIf="planets">Planets: <strong>{{ planets.length }}</strong></span>
          <span class="game-info" *ngIf="robots">Robots: <strong>{{ robots.length }}</strong></span>
        </div>
      </div>
    </div>
  </div>


  <div class="game-body" *ngIf="!collapsedStates.get(game.gameId)">
    <div class="game-details">
      <div class="detail">
        Max Players: <strong>{{ game.maxPlayers }}</strong>
      </div>
      <div class="detail">
        <div class="left" >
          Max Rounds: <strong>{{ game.maxRounds }}</strong>
        </div>
        <div class="right" *ngIf="game.gameStatus === 'created'">
          <input type="number" [(ngModel)]="maxRounds">
          <button class="btn btn-primary" (click)="updateMaxRounds()">Update</button>
        </div>
      </div>
      <div class="detail">
        Current Round: <strong>{{ game.currentRoundNumber }}</strong>
      </div>
      <div class="detail">
        <div class="left" >
          Round Time: <strong>{{ game.roundLengthInMillis }}ms</strong>
        </div>
        <div class="right" *ngIf="game.gameStatus === 'created'">
          <input type="number" [(ngModel)]="duration">
          <button class="btn btn-primary" (click)="updateRoundTime()">Update</button>
        </div>
      </div>
      <div class="detail" *ngIf="planets">
        Planets: <strong>{{ planets.length }}</strong>
      </div>
      <div class="detail" *ngIf="robots">
        Robots: <strong>{{ robots.length }}</strong>
      </div>
    </div>

    <section class="player-section">
      <h3>Players</h3>
      <ul class="players-list" *ngIf="game.participatingPlayers.length; else noPlayers">
        <li *ngFor="let player of game.participatingPlayers">{{ player }}</li>
      </ul>
      <ng-template #noPlayers>
        <p class="no-players">No Players</p>
      </ng-template>
    </section>

    <div class="button-row">
      <div class="left-elements">
        <div class="custom-player-actions">
          <button class="action-btn add-custom-player" [disabled]="isPlayerSelectionInProgress" *ngIf= "game.gameStatus !== 'started' && !isOnCluster" (click)="onAddCustomPlayer()">
            Add Custom Player
          </button>
        </div>
        <div class="player-selection" style="display: flex; flex-direction: column;" *ngIf="!showOwnPlayerInputField && showCustomPlayerSelection && game.gameStatus !== 'started'"> Available Custom Players
          <div class ="scrollable" style="margin-bottom: 10px">
            <li class="action-btn player-selection-entry" *ngFor="let key of (customPlayerData$ | async) | keys"
                (click)="handleClickedPlayerName(key)">
              {{ key }}
            </li>
          </div>
          <button class="action-btn select-own-player-btn" [disabled]="isPlayerSelectionInProgress" (click)="onSelectOwnPlayer()" >Select Own Player</button>
        </div>
        <div class="select-own-player-container full-width" *ngIf="showOwnPlayerInputField">
          <div class="select-own-player-container-content">
            <div class="input-label"  >Enter the Registry-URL here (empty field, if from no registry)</div>
            <input type="text" id="registry" [(ngModel)]="userInputRegistry">
            <div class="input-label" style="margin-top: 20px">Enter the Image-Name here</div>
            <input type="text" id="image" [(ngModel)]="userInputImage" required>
            <div class="input-label" style="margin-top: 20px">Enter the Image-Tag here</div>
            <input type="text" id="tag" [(ngModel)]="userInputTag" required>
          </div>
          <div style="display:flex; flex-direction: row; justify-content: space-between; align-items: center; ">
            <button class="action-btn select-own-player-btn" [disabled]="isPlayerSelectionInProgress" (click)="onCancelSelectOwnPlayer()">Cancel</button>
            <div class="spinner-container"  *ngIf="showSpinner">
              <div class="spinner"></div>
              <div style="font-size: 11px;">
              Please be patient...
              </div>
            </div>
            <button class="action-btn select-own-player-btn" [disabled]="isPlayerSelectionInProgress" (click)="onConfirmSelectOwnPlayer()">Confirm</button>
          </div>
        </div>
      </div>
      <div class="game-actions right-elements">
        <button class="action-btn start-game" (click)="onStartGame(game.gameId)" [disabled]="isPlayerSelectionInProgress" *ngIf="game.gameStatus === 'created'">
          Start Game
        </button>
        <button class="action-btn end-game" (click)="onEndGame(game.gameId)" [disabled]="game.gameStatus === 'created'">
          End Game
        </button>
      </div>
    </div>
  </div>
</div>
